#!/etc/opt/openit/perl
use strict;
use warnings;
use File::Copy;

my $cwd = `pwd`;
chomp $cwd;

my $newfile = "$cwd/files/acc_types";

open(my $fh, '>', $newfile) or die "Could not open file '$newfile' $!";

print $fh "";

open($fh, '>>', $newfile) or die "Could not open file '$newfile' $!";

my $filename = '/var/opt/openit/etc/acc_types';
open(my $fh2, '<', $filename) or die "Could not open file '$filename' $!";

my $flag = 0;

while (my $row = <$fh2>) {
	chomp $row;
	
	#find DT104
	if($row =~ m/\(License\^logfile\^events\^v2,/) { $flag = 1; }

	#check if traversal has reached last classification of datatype 
	#without encountering Used Licenses Classification
	if($row =~ m/Details\)\),/ && $flag eq 1) { 
		$flag = 0;
	}
	
	if($row =~ m/License\^manager\)\),/ && $flag eq 1) { 
       print  $fh "   Details)),\n";
		$flag = 0;
		next;
	}  

	#delete the line "Used^licenses," if it exists within the datatype 
    if($row =~ m/Used\^licenses,/ && $flag eq 1) { 
		next;
	}	
	print $fh $row;
	print $fh "\n";
}

close $fh2;
close $fh;
